import { styled } from '@mui/material/styles';

interface LogoProps {
  isotipoColor?: string;
  logotipoColor?: string;
}

export const Logo = styled((props: LogoProps) => {
  const {
    isotipoColor = '#11967F',
    logotipoColor = '#0C2722',
    ...other
  } = props;

  return (
    <svg
      width="149"
      height="28"
      fill="none"
      viewBox="0 0 149 30"
      xmlns="http://www.w3.org/2000/svg"
      { ...other }
    >
      <g clipPath="url(#clip0)">
        <path d="M56.4881 6.1228H52.8058L47.6177 14.8978L42.4049 6.1228H38.7207V24.6821H42.3007V12.6713L47.415 21.2615H47.8298L52.9441 12.6444V24.6821H56.4976L56.4881 6.1228Z" fill={logotipoColor} />
        <path d="M59.7163 24.6822H63.0633V11.4253H59.7163V24.6822Z" fill={logotipoColor} />
        <path d="M73.3352 11.0537C71.5983 11.0537 70.2496 11.7163 69.4711 12.9104V11.4254H66.126V24.6824H69.4711V17.5271C69.4711 15.2159 70.6909 14.2394 72.3237 14.2394C73.8296 14.2394 74.8922 15.1677 74.8922 16.9705V24.6862H78.2393V16.5429C78.2393 13.0163 76.0856 11.0537 73.3352 11.0537Z" fill={logotipoColor} />
        <path d="M88.5128 14.7129V11.4251H85.5825V7.71362L82.2355 9.34691V11.4251H79.9795V14.7129H82.2355V20.2233C82.2355 23.8018 83.819 25.2078 88.5128 24.6763V21.5753C86.594 21.6813 85.5825 21.6543 85.5825 20.2271V14.7129H88.5128Z" fill={logotipoColor} />
        <path d="M90.873 24.6822H94.2182V5.32739H90.873V24.6822Z" fill={logotipoColor} />
        <path d="M107.138 11.4251V12.9891C106.205 11.7968 104.803 11.063 102.911 11.063C99.4594 11.0534 96.603 14.1023 96.603 18.0545C96.603 22.0068 99.4557 25.0538 102.907 25.0538C104.801 25.0538 106.201 24.3122 107.135 23.1181V24.682H110.48V11.4251H107.138ZM103.54 21.793C101.49 21.793 99.9595 20.281 99.9595 18.0545C99.9595 15.828 101.49 14.3161 103.54 14.3161C105.589 14.3161 107.138 15.8261 107.138 18.0545C107.138 20.283 105.608 21.793 103.532 21.793H103.54Z" fill={logotipoColor} />
        <path d="M121.974 11.4253L119.095 20.3352L115.723 11.4253H112.065L117.382 24.2681C116.761 26.0439 115.827 26.8394 113.984 26.8144V29.9962C117.278 30.1888 119.477 28.5112 120.832 24.6919L125.554 11.4349L121.974 11.4253Z" fill={logotipoColor} />
        <path d="M129.467 19.4528H139.245C139.329 18.9897 139.373 18.5198 139.376 18.0488C139.376 14.1505 136.652 11.0476 132.812 11.0476C128.74 11.0476 125.965 14.0965 125.965 18.0488C125.965 22.001 128.713 25.048 133.072 25.048C135.563 25.048 137.508 24.0137 138.726 22.2109L136.029 20.62C135.46 21.3904 134.42 21.9451 133.123 21.9451C131.359 21.9567 129.941 21.2094 129.467 19.4528ZM129.414 16.8026C129.804 15.1058 131.022 14.1235 132.812 14.1235C134.212 14.1235 135.614 14.8939 136.032 16.8026H129.414Z" fill={logotipoColor} />
        <path d="M145.056 13.7057V11.4252H141.711V24.6822H145.056V18.3455C145.056 15.5624 147.261 14.7669 149 14.9788V11.1594C147.367 11.1594 145.73 11.9029 145.056 13.7057Z" fill={logotipoColor} />
        <path d="M0 0L5.76399 2.42681V27.4018L0 29.8286V0Z" fill={isotipoColor} />
        <path d="M30.1878 29.8286L24.4238 27.4018V2.42681L30.1878 0V29.8286Z" fill={isotipoColor} />
        <path d="M8.18848 26.4021L13.8824 24.0041V14.4048L8.18848 12.0068V26.4021Z" fill={isotipoColor} />
        <path d="M21.9991 3.44165L16.3071 5.83957V15.4043L21.9991 17.8022V3.44165Z" fill={isotipoColor} />
        <path d="M59.7163 7.53074V9.38359H63.0633V6.1228L59.7163 7.53074Z" fill={logotipoColor} />
      </g>
      <defs>
        <clipPath id="clip0">
          <rect width="149" height="30" fill="white" />
        </clipPath>
      </defs>
    </svg>
  );
})``;